Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class NameInfo

    java.lang.Object
      |
      +--com.compoze.collab.domino.NameInfo

All Implemented Interfaces:
  java.io.Serializable

public class NameInfo
extends java.lang.Object
implements java.io.Serializable

This class stores summary information about a single name, useful for displaying basic information.

See Also:
  Serialized Form

Constructor Summary
`NameInfo(java.lang.String sName)` Constructor.

Method Summary
`java.lang.String` | `getCommonName()` Gets the common name.
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getOrganization()` Gets the organization.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameInfo

    public NameInfo(java.lang.String sName)

  Constructor.
  Parameters:
    `sName` - the name

Method Detail

### getName

    public java.lang.String getName()

  Gets the name. This could be in the format `CN=Joe Smith/O=companyxyz`. To retrieve on the comman name (i.e. the `CN=` portion of the name, use `getCommonName()`.
  Returns:
    the name

### getCommonName

    public java.lang.String getCommonName()

  Gets the common name. If the name is in the format `CN=Joe Smith/O=companyxyz`, the `CN=` represents the common name and is returned; otherwise the name is returned (`getName()`).
  Returns:
    the common name

### getOrganization

    public java.lang.String getOrganization()

  Gets the organization. If the name is in the format `CN=Joe Smith/O=companyxyz`, the `O=` represents the organization and is returned; otherwise the name is returned (`getName()`).
  Returns:
    the organization

### toString

    public java.lang.String toString()

  Returns the string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.